GWEN_FAST_BUFFER Struct Reference

`#include <fastbuffer.h>`

## Data Fields

uint8_t | buffer [1]
uint32_t | bufferReadPos
uint32_t | bufferSize
uint32_t | bufferWritePos
uint32_t | bytesRead
uint32_t | bytesWritten
uint32_t | flags
GWEN_SYNCIO * | io

## Detailed Description

Do not use the fields of this struct directly!! Only use it via the functions and macros in this module, because otherwise future versions of you application might not work. Do not allocate such an object yourself, always use GWEN_FastBuffer_new() otherwise future versions of you application might not work! This struct is not part of the API.

Definition at line 29 of file fastbuffer.h.

## Field Documentation

## buffer

uint8_t buffer[1]

Definition at line 37 of file fastbuffer.h.

## bufferReadPos

uint32_t bufferReadPos

Definition at line 32 of file fastbuffer.h.

## bufferSize

uint32_t bufferSize

Definition at line 31 of file fastbuffer.h.

## bufferWritePos

uint32_t bufferWritePos

Definition at line 33 of file fastbuffer.h.

## bytesRead

uint32_t bytesRead

Definition at line 36 of file fastbuffer.h.

## bytesWritten

uint32_t bytesWritten

Definition at line 35 of file fastbuffer.h.

## flags

uint32_t flags

Definition at line 34 of file fastbuffer.h.

## io

GWEN_SYNCIO* io

Definition at line 30 of file fastbuffer.h.

The documentation for this struct was generated from the following file:

- fastbuffer.h